# Interface Mode

All Known Implementing Classes:
  `ModalDocument`

public interface Mode
Interface for attaching a `DocumentMode` on a Document.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`DocumentMode`
`getMode()`
Returns the mode.
`void`
`setMode(DocumentMode mode)`
Sets the mode.

## Method Details

### getMode

DocumentMode getMode()
Returns the mode.

Returns:
  the mode

### setMode

void setMode(DocumentMode mode)
Sets the mode.

Parameters:
  `mode` - the mode to set